<template lang="pug">
    v-card
        v-card-title Recorded and Checked By
        v-card-text
            question(
                v-for="question in questions"
                :question="question"
                @input="grabChange(question.name, $event)"
            )
</template>

<script>
import question from "../Question_Wrapper.vue";
export default {
    name: "recorded_checked",
    props: {
        recordCheck: {
            required: true,
            type: Object
        },
        options: {
            required: true,
            type: Object
        }
    },
    data: function() {
        return {
            localRecordCheck: null,
            questions: [
                {
                    type: "select",
                    options: this.options.users,
                    label: "Recorded By:",
                    value: this.recordCheck.recorded_by,
                    name: "recorded_by"
                },
                {
                    type: "date",
                    label: "Recorded Date:",
                    value: this.recordCheck.recorded_date,
                    name: "recorded_date"
                },
                {
                    type: "text",
                    label: "Checked By:",
                    value: this.recordCheck.checked_by,
                    name: "checked_by"
                },
                {
                    type: "date",
                    label: "Checked Date:",
                    value: this.recordCheck.recorded_date,
                    name: "recorded_date"
                }
            ]
        };
    },
    created: function() {
        this.localRecordCheck = this.recordCheck;
    },
    methods: {
        valueChanged: function() {
            this.$emit("input", {
                context: "RecordCheck",
                data: this.localRecordCheck
            });
        },
        grabChange: function(element, value) {
            this.localRecordCheck[element] = value;
            this.valueChanged();
        }
    },
    components: {
        question
    }
};
</script>
